# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

buffer_to_buffer:
  parameter_names_with_default_values:
    DTYPE: float
    STORAGE: buffer
  generate_variant_forall:
    DTYPE:
      - VALUE: half
      - VALUE: float
      - VALUE: int
      - VALUE: int8
      - VALUE: uint8
  shader_variants:
    - NAME: buffer_to_buffer
